Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text.html
Class HTMLEditorKit.Parser

    java.lang.Object
      |
      +--javax.swing.text.html.HTMLEditorKit.Parser

Direct Known Subclasses:
  ParserDelegator

Enclosing class:
  HTMLEditorKit

public abstract static class HTMLEditorKit.Parser
extends Object

Interface to be supported by the parser. This enables providing a different parser while reusing some of the implementation provided by this editor kit.

Constructor Summary
`HTMLEditorKit.Parser()`

Method Summary
`abstract void` | `parse(Reader r, HTMLEditorKit.ParserCallback cb, boolean ignoreCharSet)` Parse the given stream and drive the given callback with the results of the parse.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLEditorKit.Parser

    public HTMLEditorKit.Parser()

Method Detail

### parse

    public abstract void parse(Reader r,
                               HTMLEditorKit.ParserCallback cb,
                               boolean ignoreCharSet)
                        throws IOException

  Parse the given stream and drive the given callback with the results of the parse. This method should be implemented to be thread-safe.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.